Bug 1414470 - Created filters in Virtual Machines are not displayed in the tree until the page is refreshed
Summary: Created filters in Virtual Machines are not displayed in the tree until the p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Hilda Stastna
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks: 1414870
TreeView+ depends on / blocked
 
Reported: 2017-01-18 15:26 UTC by Harpreet Kataria
Modified: 2017-06-12 17:00 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1414870 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:00:49 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Saving new filter 'Virtual Machine4' (42.31 KB, image/png)
2017-01-18 15:42 UTC, Hilda Stastna
no flags Details

Description Harpreet Kataria 2017-01-18 15:26:58 UTC
Description of problem: Created filters in Virtual Machines are not displayed in the tree until the page is refreshed


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. When adding new filters in Compute -> Infrastructure -> Virtual Machines accordion, go to Advanced Search and add a new filter. After filters are saved it doesn't refresh the tree to show newly added filter until page is refreshed manually.
2.
3.

Actual results: Tree is not refreshed after filter is saved


Expected results: Tree should be refreshed once save button is pressed to save a filter


Additional info:

Comment 2 Hilda Stastna 2017-01-18 15:42:01 UTC
Created attachment 1242201 [details]
Saving new filter 'Virtual Machine4'

Saving new filter 'Virtual Machine4' stoppes here (and as you can see, it doesn't appear in My Filters in accordion)

Comment 3 Hilda Stastna 2017-01-18 15:45:14 UTC
Update:

Actual results:
-Tree is not refreshed after filter is saved
-info in a green rectangle about successful saving of the filter is not displayed, it stoppes when clicking on Save button and nothing more happens (see the attachement)


Expected results:
-Tree should be refreshed once save button is pressed to save a filter
-info in a green rectangle about successful saving of the filter should be displayed right after clicking on Save button

Comment 6 Niyaz Akhtar Ansari 2017-03-07 07:49:11 UTC
Verified in Version 5.8.0.3


Note You need to log in before you can comment on or make changes to this bug.